## lutris-0.5.20.gh.tar.gz

=== Makefile ===
VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
GITBRANCH ?= master
# Default GPG key ID to use for package signing.
PPA_GPG_KEY_ID ?= 82D96E430A1F1C0F0502747E37B90EDD4E3EFAE4
PYTHON:=$(shell which python3)
PIP:=$(PYTHON) -m pip

all:
	export GITBRANCH=master
	debuild
	debclean


unsigned:
	export GITBRANCH=master
	debuild -i -us -uc -b
	debclean


# Build process for GitHub runners.
# Requires two environment variables related to package signing.
# 	PPA_GPG_KEY_ID
#		Key ID used to sign the .deb package files.
#	PPA_GPG_PASSPHRASE
#		Decrypts the private key associated with GPG_KEY_ID.
#
# When running from a GitHub workflow.  The above environment variables
# are passed in from .github/scripts/build-ubuntu.sh and that script
# receives those variables from the .github/workflows/publish-lutris-ppa.yml
# which receives them from the repository secrets.
github-ppa:
	export GITBRANCH=master
	# Automating builds for different Ubuntu codenames manipulates the
	# version string, and so that lintian check is suppressed.  Also note
	# that all parameters after "--lintian-opts" are passed to lintian
	# so that _must_ be the last parameter.
	echo "y" | debuild -S \
		-k"${PPA_GPG_KEY_ID}" \
		-p"gpg --batch --passphrase ${PPA_GPG_PASSPHRASE} --pinentry-mode loopback" \
		--lintian-opts --suppress-tags malformed-debian-changelog-version

build-deps-ubuntu:
	sudo apt install devscripts debhelper dh-python meson

build:
	gbp buildpackage --git-debian-branch=${GITBRANCH}

clean:
	debclean

build-source: clean
	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
	mkdir build
	mv ../lutris_${VERSION}* build

release: build-source upload upload-ppa

test:
	rm tests/fixtures/pga.db -f
	nose2


cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nose2 --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage


pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

changelog-add:
	EDITOR=vim dch -i

changelog-edit:
	EDITOR=vim dch -e

upload:
	scp build/lutris_${VERSION}.tar.xz anaheim:~/volumes/releases/

upload-ppa:
	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

upload-staging:
	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

snap:
	snapcraft clean lutris -s pull
	snapcraft

req-python:
	pip3 install PyYAML lxml requests Pillow setproctitle python-magic distro dbus-python types-requests \
	 types-PyYAML evdev PyGObject pypresence protobuf moddb

dev:
	pip3 install ruff==0.12.1 mypy==1.16.1 mypy-baseline nose2
	pip3 install pygobject-stubs --no-cache-dir --config-settings=config=Gtk3,Gdk3,Soup2

# ============
# Style checks
# ============

style:
	ruff format . --check

format:
	ruff check --select I --fix
	ruff format .

# ===============
# Static analysis
# ===============

check: ruff_lint mypy

ruff_lint:
	ruff check .

mypy:
	mypy . --install-types --non-interactive 2>&1 | mypy-baseline filter

mypy-reset-baseline:  # Add new typing errors to mypy. Use sparingly.
	mypy . --install-types --non-interactive 2>&1 | mypy-baseline sync

# =============
# Abbreviations
# =============

sc: style check
styles: style
checks: check

=== debian/changelog ===
lutris (0.5.20) jammy; urgency=medium

  * Proton-GE launched via umu is now the default. Umu takes care of keeping Proton-GE up to date.
  * Fix Proton integration bugs so Proton-fixes are applied
  * Do not offer VKD3D, D3D Extras or DXVK-NVAPI on Proton versions; Proton will handle these.
  * The "Enable Esync" and "Enable Fsync" and "DXVK" settings are now passed on to Proton
  * DXVK's integrated D8VK will be enabled in Proton
  * Wine runner adds an option to select Wine's "Wayland driver"
  * Add little buttons to select covert-art, banner and icons via URL in game configuration
  * Cover-art or banners from sources will be used when Lutris media is not available
  * Emulator BIOS file location (used by libretro) may be set in Preferences
  * Fix for updated Flathub API
  * Change Itch.io over to the use of API keys instead of usernames and passwords
  * Update EA App source to their new API
  * Simplify Itcho.io collections- if you have no collection named "Lutris", we will show all games
  * MAME Machine setting uses a searchable entry for its enormous list
  * Obtain the release year from GOG and Itch.io
  * Add "Azahar" runner
  * Add "ZOOM Platform" source
  * Add "Steam Family" source to support Steam Families
  * Updated versions of runners for TIC-80, EasyRPG, mGBA, Rosalie's Mupen GUI, Ruffle, 86Box
  * Ryujinx runner can now specific 'application ID' for your multi-game XCIs.
  * Support for importing Commodore 64 ROMs
  * Support ICDs for Intel Xe GPUs
  * Add option for 'ptyxis' terminal
  * Redundant "Add Games" menu item removed; use the plus button in the corner
  * Option to hide a source's games from also appearing in the Games view
  * "Manual Script" for the context menu will now see the game's environment variables
  * Add "Create Steam Big Picture shortcut" to the context menu
  * Add a file association to run .lutris installer files via double-click
  * Fix compatibility with Python 3.14

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 23 Feb 2025 10:55:10 -0800

lutris (0.5.18) jammy; urgency=medium

  * Lutris downloads the latest GE-Proton build for Wine if any Wine version is installed
  * Use dark theme by default
  * Display cover-art rather than banners by default
  * Add 'Uncategorized' view to sidebar
  * Preference options that do not work on Wayland will be hidden when on Wayland
  * Game searches can now use fancy tags like 'installed:yes' or 'source:gog', with explanatory tool-tip
  * A new filter button on the search box can build many of these fancy tags for you
  * Runner searches can use 'installed:yes' as well, but no other fancy searches or anything
  * Updated the Flathub and Amazon source to new APIs, restoring integration
  * Itch.io source integration will load a collection named 'Lutris' if present
  * GOG and Itch.io sources can now offer Linux and Windows installers for the same game
  * Added support for the 'foot' terminal
  * Support for DirectX 8 in DXVK v2.4
  * Support for Ayatana Application Indicators
  * Additional options for Ruffle runner
  * Updated download links for the Atari800 and MicroM8 runners
  * No longer re-download cached installation files even when some are missing
  * Lutris log is included in the 'System' tab of the Preferences window
  * Improved error reporting, with the Lutris log included in the error details
  * Add AppArmor profile for Ubuntu versions >= 23.10
  * Add Duckstation runner

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 1 Dec 2024 12:00:00 -0700

lutris (0.5.17) jammy; urgency=medium

  * Fix critical bug preventing completion of installs if the script specifies a wine version
  * Fix critical bug preventing Steam library sync
  * Fix critical bug preventing game or runner uninstall in Flatpak
  * Support for library sync to lutris.net, this allows to sync games, play
    time and categories to multiple devices.
  * Remove "Lutris" service view; with library sync the "Games" view replaces it.
  * Torturous and sadistic options for multi-GPUs that were half broken and understood by no one have been replaced by a simple GPU selector.
  * EXPERIMENTAL support for umu, which allows running games with Proton and
    Pressure Vessel. Using Proton in Lutris without umu is no longer possible.
  * Better and sensible sorting for games (sorting by playtime or last played no longer needs to be reversed)
  * Support the "Categories" command when you select multiple games
  * Notification bar when your Lutris is no longer supported
  * Improved error dialog.
  * Add Vita3k runner (thanks @ItsAllAboutTheCode)
  * Add Supermodel runner
  * WUA files are now supported in Cemu
  * "Show Hidden Games" now displays the hidden games in a separate view, and re-hides them as soon as you leave it.
  * Support transparent PNG files for custom banner and cover-art
  * Images are now downloaded for manually added games.
  * Deprecate 'exe', 'main_file' or 'iso' placed at the root of the script,
    all lutris.net installers have been updated accordingly.
  * Deprecate libstrangle and xgamma support.
  * Deprecate DXVK state cache feature (it was never used and is no longer relevant to DXVK 2)

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Wed, 03 Apr 2024 13:49:49 -0700

lutris (0.5.16) jammy; urgency=medium

  * Fix bug that prevented installers to complete
  * Better handling of Steam configurations for the Steam account picker
  * Load game library in a background thread

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Mon, 15 Jan 2024 16:10:35 -0800

lutris (0.5.15) jammy; urgency=medium

  * Fix some crashes happening when using Wayland and a high DPI gaming mouse
  * Fix crash when opening the system preferences tab for a game
  * Reduced the locales list to a predefined one (let us know if you need yours added)
  * Fix Lutris not expanding "~" in paths
  * Download runtime components from the main window,
    the "updating runtime" dialog appearing before Lutris opens has been removed


=== debian/control ===
Source: lutris
Section: games
Priority: optional
Maintainer: Mathieu Comandon <mathieucomandon@gmail.com>
Build-Depends: debhelper-compat (= 12),
               appstream,
               dh-apparmor,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://github.com/lutris/lutris
Vcs-Git: https://github.com/lutris/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-lxml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         vulkan-tools,
Recommends: python3-evdev,
            python3-protobuf,
            python3-pefile,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
            fluidsynth,
            gamescope,
            gamemode,
            xdg-desktop-portal,
            xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.
